Subject: Re: default to to ON_ERROR_STOP=on (Re: psql: exit status with multiple -c and -f)

From: Julien Rouhaud <[email-masked]>
Date: Mon, 17 Jan 2022 08:10:43 +0800

Hi,

On Mon, Dec 27, 2021 at 12:31:07PM -0500, Tom Lane wrote:
> Justin Pryzby <[email-masked]> writes:
> > I think the current behavior of the regression test SQL scripts is exactly the
> > opposite of what's desirable for almost all other scripts.  The attached makes
> > ON_ERROR_STOP the default, and runs the regression tests with ON_ERROR_STOP=0.
> 
> > Is it viable to consider changing this ?
> 
> I don't think so.  The number of scripts you will break is far greater
> than the number whose behavior will be improved, because people who
> wanted this behavior will already be selecting it.  Maybe this wasn't
> the greatest choice of default, but it's about twenty years too late
> to change it.
> 
> I'd also note that I see a fairly direct parallel to "set -e" in
> shell scripts, which is likewise not the default.
> 
> We could consider documentation changes to make this issue
> more visible, perhaps.  Not sure what would be a good place.

I'm marking the CF entry as returned with feedback as it's been a few weeks
without proposal for documentation change.